import { lang } from "../index.js";
import AbstractView from './abstracts/AbstractView.js'

export default class extends AbstractView {
	constructor(params) {
		super(params, 'homeWindowTitle');
	}

	async getHtml() {
		return /* HTML */ `
			<h1>${lang.get('homeTitle', 'Home')}</h1>
			<a href="/matchmaking" data-link>${lang.get('homeOnline')}</a>
			<a href="/games/pong/offline" data-link>${lang.get('homePongOffline')}</a>
			<a href="/games/tictactoe/offline" data-link>${lang.get('homeTicTacToeOffline')}</a>
			`;
	}
}
